Subject: Re: [PATCH] powerpc/cell: Only build Axon MSI driver for IBM Cell Blades

From: Michael Ellerman <[email-masked]>
Date: Fri, 06 Mar 2009 01:07:05 +1100

On Thu, 2009-03-05 at 01:13 -0600, Olof Johansson wrote:
> On Thu, Mar 05, 2009 at 03:41:41PM +1100, Michael Ellerman wrote:
> > The hardware is only present on those machines, and the driver
> > depends on infrastructure which is selected by the Kconfig for
> > cell blades.
> 
> Wouldn't it make more sense to make a separate (AXON_MSI) config option
> depend on PPC_IBM_CELL_BLADE?

Maybe, it would make the makefile cleaner, at the expense of a bit more
Kconfig. I'm not sure what people prefer, I guess I'm neutral and you're
voting for the latter, so I'll respin it that way :)

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person